<?php require_once('Connections/paivaconex.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

if(isset($_POST['pagar'])){
	foreach ($_POST['pagar'] as $a) {
    	$pag[] = $a;
	}
}else{
$pag[]=0;
};




mysql_select_db($database_paivaconex, $paivaconex);
$query_empresa = "SELECT * FROM mfin_empresas";
$empresa = mysql_query($query_empresa, $paivaconex) or die(mysql_error());
$row_empresa = mysql_fetch_assoc($empresa);
$totalRows_empresa = mysql_num_rows($empresa);

mysql_select_db($database_paivaconex, $paivaconex);
$query_transferencia = "Select (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa) AS vl, mfin_fornecedores.NomeFantasia as nome_fantasia, mfin_fornecedores.Cnpj, NumeroBanco, Agencia, ContaCorrente, mfin_pastas.Numero as n_pasta, NumFatura, mfin_pagamentos.Id as pag_id,  DATE_FORMAT(Emissao, '%d/%m/%Y') AS dta_emissao,  DATE_FORMAT(DtPagamento, '%d/%m/%Y') AS dta_pagamento,  if(isnull(phoenix),'Não',DATE_FORMAT(phoenix, '%d/%m/%Y')) AS dta_phoenix  From mfin_pagamentos INNER JOIN mfin_fornecedores ON mfin_pagamentos.Fornecedor = mfin_fornecedores.Id  INNER JOIN mfin_pastas ON mfin_pagamentos.Pasta = mfin_pastas.Id  WHERE NumeroBanco = 341 AND mfin_pagamentos.Id IN ( ".implode(', ',$pag)." ) ;";
$transferencia = mysql_query($query_transferencia, $paivaconex) or die(mysql_error());
$row_transferencia = mysql_fetch_assoc($transferencia);
$totalRows_transferencia = mysql_num_rows($transferencia);



mysql_select_db($database_paivaconex, $paivaconex);
$query_doc_n = "Select (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa) AS vl, mfin_fornecedores.NomeFantasia as nome_fantasia, mfin_fornecedores.Cnpj, NumeroBanco, Agencia, ContaCorrente, mfin_pastas.Numero as n_pasta, NumFatura, mfin_pagamentos.Id as pag_id,  DATE_FORMAT(Emissao, '%d/%m/%Y') AS dta_emissao,  DATE_FORMAT(DtPagamento, '%d/%m/%Y') AS dta_pagamento,  if(isnull(phoenix),'Não',DATE_FORMAT(phoenix, '%d/%m/%Y')) AS dta_phoenix  From mfin_pagamentos INNER JOIN mfin_fornecedores ON mfin_pagamentos.Fornecedor = mfin_fornecedores.Id  INNER JOIN mfin_pastas ON mfin_pagamentos.Pasta = mfin_pastas.Id  WHERE NumeroBanco <> 341 AND (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa) < 3000 AND mfin_pagamentos.Id IN ( ".implode(', ',$pag)." ) ;";
$doc_n = mysql_query($query_doc_n, $paivaconex) or die(mysql_error());
$row_doc_n = mysql_fetch_assoc($doc_n);
$totalRows_doc_n = mysql_num_rows($doc_n);




mysql_select_db($database_paivaconex, $paivaconex);
$query_ted_n = "Select (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa) AS vl, mfin_fornecedores.NomeFantasia as nome_fantasia, mfin_fornecedores.Cnpj, NumeroBanco, Agencia, ContaCorrente, mfin_pastas.Numero as n_pasta, NumFatura, mfin_pagamentos.Id as pag_id,  DATE_FORMAT(Emissao, '%d/%m/%Y') AS dta_emissao,  DATE_FORMAT(DtPagamento, '%d/%m/%Y') AS dta_pagamento,  if(isnull(phoenix),'Não',DATE_FORMAT(phoenix, '%d/%m/%Y')) AS dta_phoenix  From mfin_pagamentos INNER JOIN mfin_fornecedores ON mfin_pagamentos.Fornecedor = mfin_fornecedores.Id  INNER JOIN mfin_pastas ON mfin_pagamentos.Pasta = mfin_pastas.Id  WHERE NumeroBanco <> 341 AND (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa) >= 3000 AND mfin_pagamentos.Id IN ( ".implode(', ',$pag)." ) ;";
$ted_n = mysql_query($query_ted_n, $paivaconex) or die(mysql_error());
$row_ted_n = mysql_fetch_assoc($ted_n);
$totalRows_ted_n = mysql_num_rows($ted_n);




?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>


<title>Untitled Document</title>
</head>

<body>
<?php 

//Criação de Arquivo SISPAG
$fp = fopen("sispag.txt", "w");

	$texto = '';
	$lote = 0;
	$somatoriatotal = 0;
	$contagemtotal = 0;


	//Cabeçalho do arquivo
	$texto = '341'; // Codigo do Banco
	$texto .= '0000'; // Codigo do Lote
	$texto .= '0'; // Header
	$texto .= str_repeat(' ', 6); // Brancos
	$texto .= '080'; // Layout
	$texto .= '2'; // CPF CNPJ
	$texto .= str_pad($row_empresa['Cnpj'], 14, "0", STR_PAD_LEFT); // CNPJ da empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_pad($row_empresa['Agencia'], 5, "0", STR_PAD_LEFT); // Agencia
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),0,12); // Conta Corrente
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),-1); // DAC da conta
	$texto .= str_pad('DABUL REIS LOBO', 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_pad('BANCO ITAU S/A', 30, " ", STR_PAD_RIGHT); // Nome do Banco
	$texto .= str_repeat(' ', 10); // Brancos
	$texto .= '1'; // Codigo de Remessa
	$texto .= date('dmY'); // Data e Hora da Geração do Arquivo
	$hora =(int) date('H');
	$hora -= 3;
	$texto .= str_pad($hora, 2, "0", STR_PAD_LEFT).date('is'); // Hora da Geração do Arquivo
	$texto .= str_repeat('0', 9); // Zeros
	$texto .= str_repeat('0', 5); // Zeros
	$texto .= str_repeat(' ', 69); // Brancos
	$texto .= chr(13).chr(10); //Fim de cabeçalho
	fwrite($fp, $texto);    
    ++$contagemtotal;
	
	
	//Credito em Conta Itau
	if($totalRows_transferencia >0){
		
	//Cabeçalho do Lote Credito em Conta
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad(++$lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '1'; // Tipo de Registro
	$texto .= 'C'; // Tipo da Operacao
	$texto .= '20'; // Tipo de Pagamentos
	$texto .= '01'; // Forma de Pagamento
	$texto .= '040'; // Versao do lote
	$texto .= ' '; // Brancos
	$texto .= '2'; // Tipo da Empresa CPF CNPJ
	$texto .= str_pad($row_empresa['Cnpj'], 14, "0", STR_PAD_LEFT); // CNPJ da empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_pad($row_empresa['Agencia'], 5, "0", STR_PAD_LEFT); // Agencia
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),0,12); // Conta Corrente
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),-1); // DAC da conta
	$texto .= str_pad('DABUL REIS LOBO', 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 40); // Brancos
	$texto .= str_pad($row_empresa['Endereco'], 30, " ", STR_PAD_RIGHT); // Endereco da Empresa
	$texto .= str_pad($row_empresa['Numero'], 5, "0", STR_PAD_LEFT); // Numero da Empresa
	$texto .= str_pad($row_empresa['Complemento'], 15, " ", STR_PAD_RIGHT); // Complemento
	$texto .= str_pad('Sao Paulo', 20, " ", STR_PAD_RIGHT); // Cidade
	$texto .= str_pad($row_empresa['Cep'], 8, "0", STR_PAD_LEFT); // CEP
	$texto .='SP';
	$texto .= str_repeat(' ', 18); // Brancos
	$texto .= chr(13).chr(10); //Fim de cabecalho do Lote
	fwrite($fp, $texto);    
	$contagem =0;
	++$contagemtotal;
	
		//Detalhe do Lote de Credito em Conta
	$somatoria = 0;
	do {
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '3'; // Tipo de Registro
	$texto .= str_pad(++$contagem, 5, "0", STR_PAD_LEFT); // Sequencial , detalhes dentro do lote
	$texto .= 'A'; // Seguimento
	$texto .= '000'; // Tipo de Movimento
	$texto .= '000'; // Complemento de Registro
	$texto .= str_pad($row_transferencia['NumeroBanco'], 3, "0", STR_PAD_LEFT);//Banco Favorecido	
	$texto .= str_pad($row_transferencia['Agencia'], 5, "0", STR_PAD_LEFT);//Agencia Favorecido
	$texto .= ' '; // Espaco
	$texto .= str_pad(substr($row_transferencia['ContaCorrente'],0 , strlen($row_transferencia['ContaCorrente'])-1), 12, "0", STR_PAD_LEFT);//Conta Corrente
	$texto .= ' '; // Espaco
	$texto .= substr($row_transferencia['ContaCorrente'],-1); // Digito da Conta Corrente
	$texto .= str_pad(substr($row_transferencia['nome_fantasia'], 0, 30) , 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= date('dmY'); // Data de Pagamento
	$texto .= '009'; // Tipo de moeda
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_pad((int) number_format($row_transferencia['vl'], 2, '', ''), 15, "0", STR_PAD_LEFT); // Valor
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 8); // Zeros
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 6); // Zeros
	$texto .= str_pad($row_transferencia['Cnpj'], 14, "0", STR_PAD_LEFT);//CNPJ CPF
	$texto .= str_repeat(' ', 2); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= '0'; // Zero
	$texto .= str_repeat(' ', 10); // Brancos
	$texto .= chr(13).chr(10); //Fim linha de Detalhe
	$somatoria += (int) number_format($row_transferencia['vl'], 2, '', '');
	$somatoriatotal += (int) number_format($row_transferencia['vl'], 2, '', '');
	//Escrita
	fwrite($fp,$texto);
	++$contagemtotal;
	} while ( $row_transferencia = mysql_fetch_assoc($transferencia));
	
	//Trailer de Lote
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '5'; // Tipo de Registro
	$texto .= str_repeat(' ', 9); // Brancos
	$texto .= str_pad($contagem + 2, 6, "0", STR_PAD_LEFT);//Contagem dos Registros
	$texto .= str_pad($somatoria, 18, "0", STR_PAD_LEFT);//Valor Total
	$texto .= str_repeat('0', 18); // Zeros
	$texto .= str_repeat(' ', 181); // Brancos
	$texto .= chr(13).chr(10); //Fim de Lote
	fwrite($fp,$texto);
	++$contagemtotal;
	
	
	}
	
	
	
	if($totalRows_doc_n >0){
		
	//Cabecalho do Lote DOC
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad(++$lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '1'; // Tipo de Registro
	$texto .= 'C'; // Tipo da Operacao
	$texto .= '20'; // Tipo de Pagamentos
	$texto .= '03'; // Forma de Pagamento
	$texto .= '040'; // Versao do lote
	$texto .= ' '; // Brancos
	$texto .= '2'; // Tipo da Empresa CPF CNPJ
	$texto .= str_pad($row_empresa['Cnpj'], 14, "0", STR_PAD_LEFT); // CNPJ da empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_pad($row_empresa['Agencia'], 5, "0", STR_PAD_LEFT); // Agencia
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),0,12); // Conta Corrente
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),-1); // DAC da conta
	$texto .= str_pad('DABUL REIS LOBO', 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 40); // Brancos
	$texto .= str_pad($row_empresa['Endereco'], 30, " ", STR_PAD_RIGHT); // Endereco da Empresa
	$texto .= str_pad($row_empresa['Numero'], 5, "0", STR_PAD_LEFT); // Numero da Empresa
	$texto .= str_pad($row_empresa['Complemento'], 15, " ", STR_PAD_RIGHT); // Complemento
	$texto .= str_pad('Sao Paulo', 20, " ", STR_PAD_RIGHT); // Cidade
	$texto .= str_pad($row_empresa['Cep'], 8, "0", STR_PAD_LEFT); // CEP
	$texto .='SP';
	$texto .= str_repeat(' ', 18); // Brancos
	$texto .= chr(13).chr(10); //Fim de cabecalho do Lote
	fwrite($fp, $texto);    
	$contagem =0;
	++$contagemtotal;
	
	
	//Detalhe do Lote de Credito em Conta
	$somatoria = 0;
	do {
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '3'; // Tipo de Registro
	$texto .= str_pad(++$contagem, 5, "0", STR_PAD_LEFT); // Sequencial , detalhes dentro do lote
	$texto .= 'A'; // Seguimento
	$texto .= '000'; // Tipo de Movimento
	$texto .= '000'; // Complemento de Registro
	$texto .= str_pad($row_doc_n['NumeroBanco'], 3, "0", STR_PAD_LEFT);//Banco Favorecido	
	$texto .= str_pad($row_doc_n['Agencia'], 5, "0", STR_PAD_LEFT);//Agencia Favorecido
	$texto .= ' '; // Espaco
	$texto .= str_pad(substr($row_doc_n['ContaCorrente'],0 , strlen($row_doc_n['ContaCorrente'])-1), 12, "0", STR_PAD_LEFT);//Conta Corrente
	$texto .= ' '; // Espaco
	$texto .= substr($row_doc_n['ContaCorrente'],-1); // Digito da Conta Corrente
	$texto .= str_pad(substr($row_doc_n['nome_fantasia'], 0, 30), 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= date('dmY'); // Data de Pagamento
	$texto .= '009'; // Tipo de moeda
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_pad((int) number_format($row_doc_n['vl'], 2, '', ''), 15, "0", STR_PAD_LEFT); // Valor
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 8); // Zeros
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 6); // Zeros
	$texto .= str_pad($row_doc_n['Cnpj'], 14, "0", STR_PAD_LEFT);//CNPJ CPF
	$texto .= str_repeat(' ', 2); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= '0'; // Zero
	$texto .= str_repeat(' ', 10); // Brancos
	$texto .= chr(13).chr(10); //Fim linha de Detalhe
	$somatoria += (int) number_format($row_doc_n['vl'], 2, '', '');
	$somatoriatotal += (int) number_format($row_doc_n['vl'], 2, '', '');
	//Escrita
	fwrite($fp,$texto);
	++$contagemtotal;
	} while ( $row_doc_n = mysql_fetch_assoc($doc_n));
	
	//Trailer de Lote
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '5'; // Tipo de Registro
	$texto .= str_repeat(' ', 9); // Brancos
	$texto .= str_pad($contagem + 2, 6, "0", STR_PAD_LEFT);//Contagem dos Registros
	$texto .= str_pad($somatoria, 18, "0", STR_PAD_LEFT);//Valor Total
	$texto .= str_repeat('0', 18); // Zeros
	$texto .= str_repeat(' ', 181); // Brancos
	$texto .= chr(13).chr(10); //Fim de Lote
	fwrite($fp,$texto);
	++$contagemtotal;
	
	}
	
	
	
	
	if($totalRows_ted_n >0){
		
	//Cabecalho do Lote TED
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad(++$lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '1'; // Tipo de Registro
	$texto .= 'C'; // Tipo da Operacao
	$texto .= '20'; // Tipo de Pagamentos
	$texto .= '41'; // Forma de Pagamento
	$texto .= '040'; // Versao do lote
	$texto .= ' '; // Brancos
	$texto .= '2'; // Tipo da Empresa CPF CNPJ
	$texto .= str_pad($row_empresa['Cnpj'], 14, "0", STR_PAD_LEFT); // CNPJ da empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_pad($row_empresa['Agencia'], 5, "0", STR_PAD_LEFT); // Agencia
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),0,12); // Conta Corrente
	$texto .= ' '; // Brancos
	$texto .= substr(str_pad($row_empresa['ContaCorrente'], 13, "0", STR_PAD_LEFT),-1); // DAC da conta
	$texto .= str_pad('DABUL REIS LOBO', 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 40); // Brancos
	$texto .= str_pad($row_empresa['Endereco'], 30, " ", STR_PAD_RIGHT); // Endereco da Empresa
	$texto .= str_pad($row_empresa['Numero'], 5, "0", STR_PAD_LEFT); // Numero da Empresa
	$texto .= str_pad($row_empresa['Complemento'], 15, " ", STR_PAD_RIGHT); // Complemento
	$texto .= str_pad('Sao Paulo', 20, " ", STR_PAD_RIGHT); // Cidade
	$texto .= str_pad($row_empresa['Cep'], 8, "0", STR_PAD_LEFT); // CEP
	$texto .='SP';
	$texto .= str_repeat(' ', 18); // Brancos
	$texto .= chr(13).chr(10); //Fim de cabecalho do Lote
	fwrite($fp, $texto);    
	$contagem =0;
	++$contagemtotal;
	
	
	//Detalhe do Lote de Credito em Conta
	$somatoria = 0;
	do {
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '3'; // Tipo de Registro
	$texto .= str_pad(++$contagem, 5, "0", STR_PAD_LEFT); // Sequencial , detalhes dentro do lote
	$texto .= 'A'; // Seguimento
	$texto .= '000'; // Tipo de Movimento
	$texto .= '000'; // Complemento de Registro
	$texto .= str_pad($row_ted_n['NumeroBanco'], 3, "0", STR_PAD_LEFT);//Banco Favorecido	
	$texto .= str_pad($row_ted_n['Agencia'], 5, "0", STR_PAD_LEFT);//Agencia Favorecido
	$texto .= ' '; // Espaco
	$texto .= str_pad(substr($row_ted_n['ContaCorrente'],0 , strlen($row_ted_n['ContaCorrente'])-1), 12, "0", STR_PAD_LEFT);//Conta Corrente
	$texto .= ' '; // Espaco
	$texto .= substr($row_ted_n['ContaCorrente'],-1); // Digito da Conta Corrente
	$texto .= str_pad(substr($row_ted_n['nome_fantasia'], 0, 30), 30, " ", STR_PAD_RIGHT); // Nome da Empresa
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= date('dmY'); // Data de Pagamento
	$texto .= '009'; // Tipo de moeda
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_pad((int) number_format($row_ted_n['vl'], 2, '', ''), 15, "0", STR_PAD_LEFT); // Valor
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 8); // Zeros
	$texto .= str_repeat('0', 15); // Zeros
	$texto .= str_repeat(' ', 20); // Brancos
	$texto .= str_repeat('0', 6); // Zeros
	$texto .= str_pad($row_ted_n['Cnpj'], 14, "0", STR_PAD_LEFT);//CNPJ CPF
	$texto .= str_repeat(' ', 2); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= str_repeat(' ', 5); // Brancos
	$texto .= '0'; // Zero
	$texto .= str_repeat(' ', 10); // Brancos
	$texto .= chr(13).chr(10); //Fim linha de Detalhe
	$somatoria += (int) number_format($row_ted_n['vl'], 2, '', '');
	$somatoriatotal += (int) number_format($row_ted_n['vl'], 2, '', '');
	//Escrita
	fwrite($fp,$texto);
	++$contagemtotal;
	} while ( $row_ted_n = mysql_fetch_assoc($ted_n));
	
	//Trailer de Lote
	$texto = '341'; // Codigo do Banco
	$texto .= str_pad($lote, 4, "0", STR_PAD_LEFT); // Codigo do Lote
	$texto .= '5'; // Tipo de Registro
	$texto .= str_repeat(' ', 9); // Brancos
	$texto .= str_pad($contagem + 2, 6, "0", STR_PAD_LEFT);//Contagem dos Registros
	$texto .= str_pad($somatoria, 18, "0", STR_PAD_LEFT);//Valor Total
	$texto .= str_repeat('0', 18); // Zeros
	$texto .= str_repeat(' ', 181); // Brancos
	$texto .= chr(13).chr(10); //Fim de Lote
	fwrite($fp,$texto);
	++$contagemtotal;
	
	}
	
	//Trailer de Arquivo
	$texto = '341'; // Codigo do Banco
	$texto .= '9999'; // Codigo do Lote
	$texto .= '9'; // Tipo de Registro
	$texto .= str_repeat(' ', 9); // Brancos
	$texto .= str_pad($lote, 6, "0", STR_PAD_LEFT);//Contagem de Lotes
	$texto .= str_pad(++$contagemtotal, 6, "0", STR_PAD_LEFT);//Contagem de Registros
	$texto .= str_repeat(' ', 211); // Brancos
	$texto .= chr(13).chr(10); //Fim de Arquivo
	fwrite($fp,$texto);
		

	

?>

<a href="sispag.php">Arquivo SISPAG</a>


</body>
</html>
<?php
mysql_free_result($empresa);

mysql_free_result($transferencia);
?>
